org.apache.fop.render.afp.extensions

## Class AFPIncludeFormMap

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment
  - - org.apache.fop.render.afp.extensions.AFPIncludeFormMap

- All Implemented Interfaces:
    Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

      public class AFPIncludeFormMap
      extends AFPExtensionAttachment

  This extension allows to include an AFP form map resource. It is implemented as an extension attachment (`ExtensionAttachment`).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ATT_SRC` src attribute containing the URI to the form map resource
    `protected URI` | `src` the URI identifying the form map resource.

    - ### Fields inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `ATT_NAME, CATEGORY, elementName, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPIncludeFormMap()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getSrc()` Returns the URI of the form map.
    `void` | `setSrc(URI value)` Sets the URI of the form map.
    `void` | `toSAX(ContentHandler handler)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.fop.render.afp.extensions.AFPExtensionAttachment

      `getCategory, getElementName, getName, hasName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ATT_SRC

          protected static final String ATT_SRC

      src attribute containing the URI to the form map resource
      See Also:
        Constant Field Values

    - #### src

          protected URI src

      the URI identifying the form map resource.

  - ### Constructor Detail

    - #### AFPIncludeFormMap

          public AFPIncludeFormMap()

      Default constructor.

  - ### Method Detail

    - #### getSrc

          public URI getSrc()

      Returns the URI of the form map.
      Returns:
        the form map URI

    - #### setSrc

          public void setSrc(URI value)

      Sets the URI of the form map.
      Parameters:
        `value` - the form map URI

    - #### toSAX

          public void toSAX(ContentHandler handler)
                     throws SAXException

      Throws:
        `SAXException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2023 Apache Software Foundation. All rights reserved.